INDEX
-----

* Boot parameters (initramfs stage)
  * hooks/archiso
  * hooks/archiso_pxe_common
  * hooks/archiso_pxe_nbd
  * hooks/archiso_pxe_http
  * hooks/archiso_pxe_nfs
  * hooks/archiso_loop_mnt

* Boot parameters (configs/releng)
  * scripts/choose-mirror


*** Boot parameters (initramfs stage)

** hooks/archiso

* archisolabel=          Set the filesystem label where archiso files reside.
                         Default: (unset)
* archisodevice=         Set the device node where archiso medium is located.
                         Default: "/dev/disk/by-label/${archisolabel}"
* archisobasedir=        Set the base directory where all files reside.
                         Default: "arch"
* archisosearchuuid=     UUID used in searching for a device where archiso
                         files reside. If a device with such UUID does not
                         exist, looks for ${archisosearchfilename} in all
                         available devices.
                         Overrides ${archisodevice}.
                         Default: (unset)
* archisosearchfilename= File path which confirms a device is an archiso medium.
                         Default: "/boot/${archisosearchuuid}.uuid"
* copytoram=             If set to "y", the root file system image is copied to
                         tmpfs.
                         If set to "auto", the root file system image is copied to
                         tmpfs if the root file system image is less than 4 GiB and
                         the free RAM exceeds the root file system image size plus
                         2 GiB.
                         If you add the package "pv" to the packages.x86_64 it is
                         used to display the copy progress.
                         Default: "auto"
* copytoram_size=        Set the size of tmpfs. This space is used for
                         airootfs.sfs image if copytoram=y.
                         Size is in bytes (suffix with "k", "m" and "g") or
                         in percentage of available RAM.
                         Default: "75%"
* checksum=              If set to "y" or just "checksum" without arguments,
                         performs a self-test of all files inside ${install_dir},
                         and continue booting if ok.
                         Default: (unset)
* cow_label=             Set the filesystem label where COW file (for dm-snapshot)
                         or upperdir/workdir files (for overlayfs) must be stored.
                         Default: (unset)
* cow_device=            Like cow_label= but using device node.
                         Default: (unset) or "/dev/disk/by-label/${cow_label}"
* cow_flags=             Set extra mount options, e.g. for btrfs subvolumes.
                         Default: defaults
* cow_directory=         Set a directory inside ${cow_device}.
                         Default: "/persistent_${archisolabel}/${arch}"
* cow_persistent=        Set if snapshot is persistent "P" or non-persistent "N".
                         Only used for dm-snapshot mode, ignored for overlayfs.
                         Default: "N" (if no ${cow_device} is used) otherwise "P".
* cow_spacesize=         Set the size for COW space (tmpfs). Valid for both
                         dm-snapshot and overlayfs mode.
                         The argument is an integer and optional unit.
                         Units are M,G (powers of 1024).
                         Default: "256M"
* cow_chunksize=         Set chunksize used for dm-snapshot. This is number
                         of 512 byte blocks to write at once.
                         Default: "8"
* dm_snap_prefix=        Set a prefix for dm-snapshot node names.
                         Only used for dm-snapshot mode, ignored for overlayfs.
                         Default: "arch"
* arch=                  Force an architecture type (i686 | x86_64).
                         Do not set it for normal operations.
                         Default: (architecture of running kernel)
* cms_verify=            Turns on OpenSSL CMS signature varification for the root file system image.


** hooks/archiso_pxe_common

* ip=                    This parameter is setup automatically by PXELINUX
                         when option "SYSAPPEND" is set to 1 or 2 in config.
                         ip=<client-ip>:<boot-server-ip>:<gw-ip>:<netmask>
                         Default: (set via PXE server)
* BOOTIF=                This parameter is setup automatically by PXELINUX
                         when option "SYSAPPEND" is set to 2 or 3 in config.
                         BOOTIF=<hardware-address-of-boot-interface>
                         Default: (set via PXELINUX)
* copy_resolvconf=       Copy /etc/resolv.conf from initramfs to live-enviroment.
                         Set to "n" to skip them.
                         Default: "y"


** hooks/archiso_pxe_nbd

* archiso_nbd_name=      Set NBD export name used by the server.
                         Default: archiso
* archiso_nbd_srv=       Set an IP address where NBD reside.
                         If ${pxeserver} is used, PXE IP will be used.
                         Default: (unset)


** hooks/archiso_pxe_http

* archiso_http_srv=      Set an HTTP URL (must end with /) where ${archisobasedir}
                         is found with all *.sfs files.
                         In the IP/domain part if ${pxeserver} is used, use PXE IP.
                         Default: (unset)
* archiso_http_spc=      Set the size of tmpfs where *.sfs files are downloaded.
                         Default: "75%"


** hooks/archiso_pxe_nfs

* archiso_nfs_srv=       Set the NFS-IP:/path of the server
                         In the IP part if ${pxeserver} is used, PXE IP will be used.
                         Default: (unset)
* archiso_nfs_opt=       Set NFS mount options separated by comma.
                         Default: (unset, see below)
                         These are the implicit options:
                           port            = as given by server portmap daemon
                           rsize           = 1024
                           wsize           = 1024
                           timeo           = 7
                           retrans         = 3
                           acregmin        = 3
                           acregmax        = 60
                           acdirmin        = 30
                           acdirmax        = 60
                           flags           = hard, nointr, noposix, cto, ac


** hooks/archiso_loop_mnt

* img_label=             Set the filesystem label where archiso-image.iso.
                         Default: (unset)
* img_dev=               Device where archiso-image.iso reside.
                         Default: (unset) or "/dev/disk/by-label/${img_label}"
* img_flags=             Set extra mount options, e.g. for btrfs subvolumes.
                         Default: defaults
* img_loop=              Full path where archiso-image.iso is located on ${img_dev}
                         Default: (unset)



*** Boot parameters (configs/releng)

** scripts/choose-mirror

* mirror=                Takes a mirror URL and creates a new mirrorlist.
                         When setting mirror=auto, the mirror is taken from
                         archiso_http_srv= in order to keep using the mirror
                         selected in the netboot menu.
                         Default: (unset)

* script=                Takes a local file path or a URL to a script file which is
                         executed from a temporary location after boot. If the
                         parameter points at a remote file (supported protocols are
                         http, https, tftp and ftp), it will be downloaded before
                         execution.
                         Default: (unset)
